
from pyglet.gl import *

from view import View
from game import Game

WINDOW_WIDTH = 800
WINDOW_HEIGHT = 600

def main():
    game = Game(width=WINDOW_WIDTH, height=WINDOW_HEIGHT, caption='MineCraft', resizable=True)
    icon = pyglet.image.load("icon.png")
    game.buildSound = pyglet.resource.media('build.wav',streaming=False)
    game.destroySound = pyglet.resource.media('destroy.wav',streaming=False)
    game.backgroundSound = pyglet.resource.media('bgmusic.wav')
    game.set_icon(icon)
    # Hide the mouse cursor and prevent the mouse from leaving the window.
    game.set_exclusive_mouse(True)
    game.backgroundSound.play()
    pyglet.app.run()



if __name__ == '__main__':
    main()
